Name:           perl-Template-Plugin-Class
Version:        0.13
Release:        1%{?dist}
Summary:        Allow calling of class methods on arbitrary classes
Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Template-Plugin-Class/
Source0:        http://search.cpan.org/CPAN/authors/id/R/RC/RCLAMP/Template-Plugin-Class-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Template::Plugin), perl(Module::Build)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	perl(Template::Plugin)

%description
%{summary}.

%prep
%setup -q -n Template-Plugin-Class-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Template/
%{_mandir}/man3/*.3*


%changelog
* Fri Jul  7 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.13-1
- bump to 0.13

* Wed Aug 17 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.12-5
- perl(Template::Plugin) is more correct

* Wed Aug 17 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.12-3
- more cleanups

* Fri Jul  8 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.12-2
- cleanups

* Wed Jul  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.12-1
- Initial package for Fedora Extras
